Page MenuHome

Crash on accessing an empty's properties after adding a modifier on another mesh object
Closed, ResolvedPublicBUG

Description

This has been solved as of version: 2.90.0 Alpha, branch: master, commit date: 2020-06-18 12:41, hash: rB6899cb3c073e (maybe earlier but this is the first version I used where the crash didn't occur)

Thanks !

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce GTX 1060/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 442.94
Tested on a second laptop with Windows 8 and Geforce 840M and the crash occured too.

Blender Version
Broken: version: 2.90.0 Alpha, branch: master, commit date: 2020-06-05 22:39, hash: rBb74cc23dc478
Worked: Latest stable 2.83 (steam)

Short description of error
Crash when accessing an empty's properties after adding a modifier to a mesh object.

Exact steps for others to reproduce the error
Open a new project,
Create any mesh object (eg a cube),
Add any modifier to the cube,
Create an empty,
Try to access (expand) any of the properties foldout > Crash

Video :

The crash log :

Event Timeline

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Confirmed.Jun 8 2020, 8:07 PM
Germano Cavalcante (mano-wii) changed the subtype of this task from "Report" to "Bug".
NH (Gorgious) added a comment.EditedJun 8 2020, 10:11 PM

After investigating a bit, the crash doesn't occur if :

  • you add a second object after the first one and then try to access the empty properties
  • you save, quit and reopen the file before accessing the empty properties

I guess some pointer gets confused at some point when adding a modifier. My 2 cents :)

NH (Gorgious) closed this task as Resolved.Jun 18 2020, 9:49 PM
NH (Gorgious) updated the task description. (Show Details)